package com.lanren.huhu.partner.controller;

import com.lanren.huhu.partner.manager.AgentManager;
import com.lanren.huhu.partner.result.Result;
import com.lanren.huhu.partner.schedule.AgentSettleTask;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDateTime;

/**
 * @author chen
 */
@RestController
@RequestMapping("/v1/agent")
public class AgentController {
    private static Logger logger = LoggerFactory.getLogger(AgentController.class);

    @Autowired
    AgentManager agentManager;
    @Autowired
    AgentSettleTask agentSettleTask;

    @RequestMapping(value = "/finance/{agentId}/{type}", method = RequestMethod.GET)
    public Result<String> doFinanceSettle(@PathVariable("agentId") String agentId, @PathVariable("type") Integer type,
                                          @RequestHeader HttpHeaders headers) {
        if ("all".equals(agentId)) {
            /**
             * 结算全部代理商
             */
            agentSettleTask.runScheduledTask(type);
            logger.info("============>" + Thread.currentThread().getName());
            Result<String> result = new Result<String>();
            result.setData("异步,正在执行刷新......");
            return result;
        } else {
            /**
             * 测试使用 结算单个代理商
             */
            int aId = Integer.parseInt(agentId);
            if (logger.isInfoEnabled()) {
                logger.info("doFinanceSettle userId:{},header:{},time:{}", aId, headers.keySet().toArray(), LocalDateTime.now());
            }
            return agentManager.doFinanceSettle(aId);
        }
    }
}
