package com.lanren.huhu.partner.controller;

import com.lanren.huhu.partner.manager.PartnerManager;
import com.lanren.huhu.partner.result.Result;
import com.lanren.huhu.partner.schedule.PartnerSettleTask;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDateTime;


/**
 * @Author houseme
 * @Date 2019-06-26 11:00
 * @Project partner
 * @Package com.lanren.huhu.partner.controller
 * @File: PartnerController
 */
@RestController
@RequestMapping("/v1/partner")
public class PartnerController {
    private static Logger logger = LoggerFactory.getLogger(PartnerController.class);

    @Autowired
    private PartnerManager partnerManager;
    @Autowired
    private PartnerSettleTask partnerSettleTask;

    @RequestMapping(value = "/finance/{userId}/{type}", method = RequestMethod.GET)
    public Result<String> doFinanceSettle(@PathVariable("userId") String userId, @PathVariable("type") Integer type,
                                          @RequestHeader HttpHeaders headers) {
        if ("all".equals(userId)) {
            /**
             * 结算全部用户
             */
            partnerSettleTask.runSettle(type);
            logger.info("============>" + Thread.currentThread().getName());
            Result<String> result = new Result<String>();
            result.setData("异步,正在执行刷新......");
            return result;
        } else {
            /**
             * 测试使用 结算单个用户
             */
            int uid = Integer.parseInt(userId);
            if (logger.isInfoEnabled()) {
                logger.info("doFinanceSettle userId:{},header:{},time:{}", uid, headers.keySet().toArray(), LocalDateTime.now());
            }
            return partnerManager.doFinanceSettle(uid);
        }
    }
}
